summaryrefslogtreecommitdiff
path: root/ios/build_libs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ios/build_libs.sh')
-rw-r--r--ios/build_libs.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/ios/build_libs.sh b/ios/build_libs.sh
index 836601d1..9f06ab0b 100644
--- a/ios/build_libs.sh
+++ b/ios/build_libs.sh
@@ -5,7 +5,11 @@
# Also see "iOS" section in Makerules.
echo Generating cmap and font files
-make -C .. generate || exit 1
+echo "Apple broke Xcode external targets yet again, and I can't be bothered to fix it."
+echo "Run the 'make generate' command manually from now on!"
+echo "If you see an error while running GEN, you've forgotten."
+
+# make -C .. verbose=yes generate || exit 1
export OS=ios
export build=$(echo $CONFIGURATION | tr A-Z a-z)
@@ -14,7 +18,7 @@ case $ARCHS in
armv6) ARCHFLAGS="-arch armv6 -mno-thumb" ;;
armv7) ARCHFLAGS="-arch armv7 -mthumb" ;;
i386) ARCHFLAGS="-arch i386" ;;
- *) echo "Unknown architecture!"; exit 1 ;;
+ *) echo "Unknown architecture:" $ARCHS; exit 1 ;;
esac
export CFLAGS="$ARCHFLAGS -isysroot $SDKROOT"